Bug Hunting Session
Bug 50359 - Difficult to select PNG with transparent background and fine content
Summary: Difficult to select PNG with transparent background and fine content
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2012-05-25 10:43 UTC by Mark van Rossum
Modified: 2019-09-29 03:08 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation file showing the problem (734.10 KB, application/vnd.oasis.opendocument.presentation)
2012-07-14 21:59 UTC, Mark van Rossum
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark van Rossum 2012-05-25 10:43:14 UTC
Problem description: 
In  the attached file it is almost impossible to select the bitmap. The only 2 ways is to click exactly on the edge of the image, which is hard to see in this case,
or draw a selection box around it.

Usually I can just click on a bitmap to select it.


(DOes the transparency of the bitmap cause the problem?)


Browser: Opera/9.80 (X11; Linux x86_64; U; en-GB) Presto/2.10.229 Version/11.64
Comment 1 Valek Filippov 2012-07-13 04:00:34 UTC
Mark,
it looks like you missed to attach the file.

Could you attach it?
Comment 2 Mark van Rossum 2012-07-14 21:59:45 UTC
Created attachment 64221 [details]
presentation file showing the problem
Comment 3 Mark van Rossum 2012-07-14 22:00:48 UTC
Sorry for forgetting the file.

Bug still there in 3.5.5.3 
Build ID: 350m1(Build:3)
Comment 4 QA Administrators 2013-05-26 22:31:41 UTC Comment hidden (obsolete)
Comment 5 Mark van Rossum 2013-05-26 22:58:26 UTC
Still there in 4.0.3.3
Comment 6 Joel Madero 2013-05-27 00:07:30 UTC
Please don't update version as it is supposed to be the oldest version that the issue exists.
Comment 7 ign_christian 2013-05-27 08:11:47 UTC
confirmed, same behavior on LO 4.0.3.3 (Win7 32bit) 

Image can be selected with random clik/double click on many parts of the image, then accidentally it selected.
Comment 8 Jorendc 2013-05-27 19:12:52 UTC
I can reproduce the problem using Linux Mint 15 x64 with LibreOffice 4.0.3.3. You can indeed select the image by dragging a selection box, but once selected you can not right click on it properly.

So marking this as NEW.

Kind regards,
Joren
Comment 9 Mark van Rossum 2013-10-07 12:14:14 UTC
It appears a problem with the 'bitmap with transparancy' format.

Because after Copy and 'Paste special-> Bitmap' it is ok.
Comment 10 Owen Genat (retired) 2014-01-25 05:50:15 UTC
(In reply to comment #9)
> It appears a problem with the 'bitmap with transparancy' format.

Essentially, yes. If I extract the PNG (/Pictures/1000020100000A3B0000087380C7F4CE.png) from the ODP and open it with Inkscape the behaviour is identical. I have to click on a non-transparent part of the image, which in this case is tedious because of the fine nature of the content. The same behaviour is also evident under v3.3.0.4 and v3.4.6.2 so it presumably has always been this way in LO.

In MS PowerPoint Mac 2011 this transparent PNG (once inserted) is handled in the same manner as any non-transparent image i.e., the image is selectable via the entire area. I am uncertain whether this is a bug or an enhancement request for parity in behaviour with MS PowerPoint. If it is a bug the Version can be set to Inherited from OOo.

Summary edited for clarity.
Comment 11 Carlo Strata 2014-07-14 12:18:48 UTC
If you give (In reply to comment #10)
> (In reply to comment #9)
> > It appears a problem with the 'bitmap with transparancy' format.
> 
> Essentially, yes. If I extract the PNG
> (/Pictures/1000020100000A3B0000087380C7F4CE.png) from the ODP and open it
> with Inkscape the behaviour is identical. I have to click on a
> non-transparent part of the image, which in this case is tedious because of
> the fine nature of the content. The same behaviour is also evident under
> v3.3.0.4 and v3.4.6.2 so it presumably has always been this way in LO.
> 
> In MS PowerPoint Mac 2011 this transparent PNG (once inserted) is handled in
> the same manner as any non-transparent image i.e., the image is selectable
> via the entire area. I am uncertain whether this is a bug or an enhancement
> request for parity in behaviour with MS PowerPoint. If it is a bug the
> Version can be set to Inherited from OOo.
> 
> Summary edited for clarity.

... I completely agree with and confirm too, but if you make the bitmap clickable (i.e. right click on his few selectable parts -> Interaction... -> Go to Page or Object -> select Slide -> OK) than the whole/entire/full bitmap became clickable in the transparent areas too! ;-)

So we have two different behaviours, each someway correct or with some sense/logic, on selecting/clicking a bitmap...

Only my 2 cents.

Have a nice day,

Carlo
Comment 12 QA Administrators 2015-07-18 17:42:44 UTC Comment hidden (obsolete)
Comment 13 Buovjaga 2015-10-16 19:39:52 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 14 QA Administrators 2016-11-08 11:08:56 UTC Comment hidden (obsolete)
Comment 15 Mark van Rossum 2016-11-08 11:38:39 UTC
Still there in 5.2.2.2.
Comment 16 QA Administrators 2017-11-09 07:44:22 UTC Comment hidden (obsolete)
Comment 17 Ahmad Harthi 2018-08-02 10:16:51 UTC
Still a problem in:

Version: 6.1.0.2 (x64)
Build ID: b3972dcf1284967612d5ee04fea9d15bcf0cc106
CPU threads: 4; OS: Windows 6.1; UI render: default; 
Locale: ar-SA (ar_SA); Calc: group threaded
Comment 18 QA Administrators 2019-09-29 03:08:20 UTC
Dear Mark van Rossum,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug